Bug 22561 - Forgotten password requirements hint doesn't list all rules for new passwords
Summary: Forgotten password requirements hint doesn't list all rules for new passwords
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Target Milestone: ---
Assignee: Owen Leonard
QA Contact: Tomás Cohen Arazi
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 22560
  Show dependency treegraph
 
Reported: 2019-03-21 18:53 UTC by Liz Rea
Modified: 2019-04-01 16:34 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 22561: Forgotten password requirements hint doesn't list all rules for new passwords (6.68 KB, patch)
2019-03-22 13:10 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 22561: Forgotten password requirements hint doesn't list all rules for new passwords (6.75 KB, patch)
2019-03-25 14:42 UTC, Liz Rea
Details | Diff | Splinter Review
Bug 22561: Forgotten password requirements hint doesn't list all rules for new passwords (6.78 KB, patch)
2019-03-25 14:50 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Liz Rea 2019-03-21 18:53:42 UTC
The blue box on the password recovery page that tells users what requirements new passwords must have doesn't show all of the rules that might be in effect. The infobox currently only shows the length requirements and should show the requirements enacted by RequireStrongPassword, if that is set.
Comment 1 Owen Leonard 2019-03-22 13:10:56 UTC
Created attachment 86907 [details] [review]
Bug 22561: Forgotten password requirements hint doesn't list all rules for new passwords

This patch modifies a few templates in the OPAC so that all available
information on password requirements is displayed for each case where
the patron is setting a password:

 - If the RequireStrongPassword system preference is set, a message
   should appear listing strong password requirements and minimum
   password length.
 - If RequireStrongPassword is not set, the message should only ask for
   a minimum password length.

To test, apply the patch and enable the PatronSelfRegistration and
OpacResetPassword preferences.

On the following pages, test with RequireStrongPassword both on and
off. The correct messages should appear.

 - OPAC -> Forgot password. Follow the process to reset your password
   until you reach the step where you are entering the new password.
 - OPAC -> Register here. Check the password section of the registration
   form.
 - OPAC -> Log in -> Change your password.
Comment 2 Liz Rea 2019-03-25 14:42:09 UTC
Created attachment 86978 [details] [review]
Bug 22561: Forgotten password requirements hint doesn't list all rules for new passwords

This patch modifies a few templates in the OPAC so that all available
information on password requirements is displayed for each case where
the patron is setting a password:

 - If the RequireStrongPassword system preference is set, a message
   should appear listing strong password requirements and minimum
   password length.
 - If RequireStrongPassword is not set, the message should only ask for
   a minimum password length.

To test, apply the patch and enable the PatronSelfRegistration and
OpacResetPassword preferences.

On the following pages, test with RequireStrongPassword both on and
off. The correct messages should appear.

 - OPAC -> Forgot password. Follow the process to reset your password
   until you reach the step where you are entering the new password.
 - OPAC -> Register here. Check the password section of the registration
   form.
 - OPAC -> Log in -> Change your password.

Signed-off-by: Liz Rea <wizzyrea@gmail.com>
Comment 3 Tomás Cohen Arazi 2019-03-25 14:50:51 UTC
Created attachment 86980 [details] [review]
Bug 22561: Forgotten password requirements hint doesn't list all rules for new passwords

This patch modifies a few templates in the OPAC so that all available
information on password requirements is displayed for each case where
the patron is setting a password:

 - If the RequireStrongPassword system preference is set, a message
   should appear listing strong password requirements and minimum
   password length.
 - If RequireStrongPassword is not set, the message should only ask for
   a minimum password length.

To test, apply the patch and enable the PatronSelfRegistration and
OpacResetPassword preferences.

On the following pages, test with RequireStrongPassword both on and
off. The correct messages should appear.

 - OPAC -> Forgot password. Follow the process to reset your password
   until you reach the step where you are entering the new password.
 - OPAC -> Register here. Check the password section of the registration
   form.
 - OPAC -> Log in -> Change your password.

Signed-off-by: Liz Rea <wizzyrea@gmail.com>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 4 Nick Clemens 2019-03-28 13:30:25 UTC
Awesome work all!

Pushed to master for 19.05
Comment 5 Martin Renvoize 2019-04-01 10:52:56 UTC
Pushed to 18.11.x for 18.11.05
Comment 6 Lucas Gass 2019-04-01 16:34:19 UTC
pushed to 18.05.x for 18.05.12